<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Grille avec flexbox</title>
    <style>
        /* Layout */

        .container {
            display: grid;
            height: 80vh;
            grid-template-areas: "h h"
                       "n c"
                       "f f";
        }
        header {
            grid-area: h;
        }
        nav {
            grid-area: n;
        }
        aside {
            grid-area: c;
        }
        footer {
            grid-area: f;
        }


        /* Decoration */

        * {box-sizing: border-box}
        body {
            margin: 20px;
            background: #fff;
            font-family: "Century Gothic", helvetica, arial, sans-serif;
            font-size: 1.2em;
        }
        .container {
            border: 3px dotted orange;
            margin-bottom: 2em;
        }
        div, nav, section, article, aside, header, footer {
            padding: 1em;
            color: #fff;
        }

        header {
            background: hotpink;
            display: flex;
            flex-direction: row; /*  row | row-reverse | column | column-reverse*/
            justify-content:space-evenly /* flex-start | flex-end | center | space-between | space-around | space-evenly | start | end | left | right ;*/
        }
        aside {
            background: slategrey;
        }
        nav {
            background: orange;
        }
        .footer {
            background: olivedrab;
        }
        header {
            background: gray;
        }
        footer {
            background: crimson;
        }

        h1 {
            margin: 0 0 1em;
            color: #345;
            text-align: center;
            font-family: georgia, "trebuchet ms", arial, serif;
        }
        header > div {
            width:200px;
            border: black 2px solid;
            margin: 2px;
        }

        #box-1 {
            width:120px;
            background-color: #334455;
            border-radius : 20px;
        }
    </style>
</head>
<body>
    <h1>Grid Layout : "fr" unit</h1>
    <div class="container">
        <header>
            <div id="box-1" >BOX 1</div>
            <div id="box-2">BOX 2</div>
            <div id="box-3">BOX 3</div>
        </header>
        <nav>nav</nav>
        <article>article</article>
        <footer>footer</footer>
    </div>
</body>
</html>